Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.serverstub
Class ChangePollDomainHandler

    java.lang.Object
      com.verisign.epp.framework.EPPDomainHandler
          com.verisign.epp.serverstub.DomainHandler
              com.verisign.epp.serverstub.ChangePollDomainHandler

All Implemented Interfaces:
  EPPEventHandler

    public class ChangePollDomainHandler

extends DomainHandler

The `ChangePollDomainHandler` class extends `DomainHandler` to include handling the change poll extension.

Constructor Summary
`ChangePollDomainHandler()` Constructs an instance of ChangePollDomainHandler

Method Summary
`protected EPPEventResponse` | `doDomainCreate(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doDomainCreate` method to accept a domain create of "change-poll.tld" that will place a change poll message in the poll queue for consumption by the client.
`protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Will ensure that the namestore extension is provided.

Methods inherited from class com.verisign.epp.serverstub.DomainHandler
`doDomainCheck, doDomainDelete, doDomainInfo, doDomainRenew, doDomainTransfer, doDomainUpdate, postHandleEvent`

Methods inherited from class com.verisign.epp.framework.EPPDomainHandler
`getNamespace, handleEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChangePollDomainHandler

    public ChangePollDomainHandler()

  Constructs an instance of ChangePollDomainHandler

Method Detail

### preHandleEvent

    protected void preHandleEvent(EPPEvent aEvent,
                                  java.lang.Object aData)
                           throws EPPHandleEventException

  Will ensure that the namestore extension is provided.

  Overrides:
    `preHandleEvent` in class `DomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomainHandler` This is assumed to be an instance of SessionData here.
  Throws:
    `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

### doDomainCreate

    protected EPPEventResponse doDomainCreate(EPPEvent aEvent,
                                              java.lang.Object aData)

  Override base handler `doDomainCreate` method to accept a domain create of "change-poll.tld" that will place a change poll message in the poll queue for consumption by the client.

  Overrides:
    `doDomainCreate` in class `DomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.